org.eclipse.viatra.query.patternlanguage.typing.judgements

## Class ParameterTypeJudgement

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.typing.judgements.AbstractTypeJudgement
  - - org.eclipse.viatra.query.patternlanguage.typing.judgements.TypeConformJudgement
    - - org.eclipse.viatra.query.patternlanguage.typing.judgements.ParameterTypeJudgement

-     public class ParameterTypeJudgement
      extends TypeConformJudgement

  Since:
    1.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterTypeJudgement(Expression expression, Expression conformsTo)` Deprecated. Use `ParameterTypeJudgement(Expression, Variable)` instead
    `ParameterTypeJudgement(Expression expression, Variable conformsTo)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<Expression>` | `getDependingExpressions()` Returns a set of expressions whose type changes must trigger a re-evaluation of this constraint

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.typing.judgements.TypeConformJudgement

      `equals, getConformsTo, hashCode, toString`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.typing.judgements.AbstractTypeJudgement

      `getConstraint, getExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterTypeJudgement

          public ParameterTypeJudgement(Expression expression,
                                        Expression conformsTo)

      Deprecated. Use `ParameterTypeJudgement(Expression, Variable)` instead

    - #### ParameterTypeJudgement

          public ParameterTypeJudgement(Expression expression,
                                        Variable conformsTo)

      Since:
        1.4

  - ### Method Detail

    - #### getDependingExpressions

          public java.util.Set<Expression> getDependingExpressions()

      Description copied from class: `AbstractTypeJudgement`
      Returns a set of expressions whose type changes must trigger a re-evaluation of this constraint
      Overrides:
        `getDependingExpressions` in class `TypeConformJudgement`
      Returns:
        a non-null, but possibly empty set of expressions